{

  TCanvas* c1 = new TCanvas("c1","Surf 1",100,100,600,600);

  TFile* file1 = new TFile("./OptiFlux/SPLDmThetaCorr.root");
  TTree* tree1 = (TTree*)file1->Get("SplGlb");
  tree1->Draw("log10(dm31):log10(pow(sin(2.0*theta13),2.0))>>h1(41,-3.3325,-1.9675,41,-3.3325,-1.967)","chi2","SURF");

  //  tree1->Draw("log10(dm31):log10(pow(sin(2.0*theta13),2.0))>>h1(21,-3.3065,-1.935,21,-3.3065,-1.935)","chi2","SURF");




  TCanvas* c3 = new TCanvas("c3","Contour",100,100,600,600);
  c3->SetGridx();
  c3->SetGridy();
  c3->SetLogx();
  c3->SetLogy();


  TH2D* hdum = new TH2D("hdum","Theta vs Delta",10,5e-4,1e-2,10,5e-4,1e-2);
  hdum->SetXTitle("sin^{2}(2#theta_{13})");
  hdum->SetYTitle("#Delta m^{2}_{31} (eV^{2})");
  hdum->Draw();

  TPad *overlay = new TPad("overlay","",
			   gStyle->GetPadLeftMargin(),
			   gStyle->GetPadBottomMargin(),
			   1-gStyle->GetPadRightMargin(),
			   1-gStyle->GetPadTopMargin());
  overlay->SetFillStyle(4000);
  overlay->Draw();
  overlay->Range(-3.3,-3.3,-2.0,-2.0);


  TH2F *h1 = (TH2F*)gDirectory->Get("h1");
  if (h1) {
    h1->SetContour(1);
    h1->SetContourLevel(0,4.605); //90%CL 2dof
    //  h1->SetContourLevel(0,11.83); //3sigma 2dof 
    h1->SetLineColor(2); //red
    overlay->cd();
    h1->Draw("CONT3 SAME");
  }

  TCanvas* c2 = new TCanvas("c2","Surf 2",100,100,600,600);

  TFile* file2 = new TFile("./SPLDmThetaCorr.root");
  TTree* tree2 = (TTree*)file2->Get("SplGlb");
  tree2->Draw("log10(dm31):log10(pow(sin(2.0*theta13),2.0))>>h2(41,-3.3325,-1.9675,41,-3.3325,-1.967)","chi2","SURF");

//   //  tree2->Draw("log10(dm31):log10(pow(sin(2.0*theta13),2.0))>>h2(21,-3.3065,-1.935,21,-3.3065,-1.935)","chi2","SURF");

  TH2F *h2 = (TH2F*)gDirectory->Get("h2");
  if (h2) {
    h2->SetContour(1);
    h2->SetContourLevel(0,4.605); //90%CL 2dof
    //  h2->SetContourLevel(0,11.83); //3sigma 2dof 
    h2->SetLineColor(4); //blue
    overlay->cd();
    h2->Draw("CONT3 SAME");
  }
//   TH2D* h1bis = h1->Clone("h1bis");
//   h1bis->SetContour(1);
//   h1bis->SetContourLevel(0,4.605); //90%CL 2dof
//   h1bis->SetLineColor(4); //blue
//   h1bis->Draw("CONT3 SAME");


}
